+++
title = "Installation"
description = "Installation guide for Grafana"
keywords = ["grafana", "installation", "documentation"]
aliases = ["/docs/grafana/latest/installation/installation/", "/docs/grafana/v2.1/installation/install/", "/docs/grafana/latest/install"]
weight = 30
+++

# Install Grafana

This section discusses the hardware and software requirements as well as the process of installing Grafana on different operating systems. This section has the following topics:

- [Requirements]({{< relref "requirements" >}})
- [Install on Debian or Ubuntu]({{< relref "debian" >}})
- [Install on RPM-based Linux (CentOS, Fedora, OpenSuse, RedHat)]({{< relref "rpm" >}})
- [Install on macOS]({{< relref "mac" >}})
- [Install on Windows]({{< relref "windows" >}})
- [Run Docker image]({{< relref "docker" >}})
- [Deploy Grafana on Kubernetes]({{< relref "kubernetes" >}})

For upgrade instructions, refer to [Upgrade Grafana]({{< relref "upgrading.md" >}}).
To restart Grafana, refer to [Restart Grafana]({{< relref "restart-grafana.md" >}}).

To install Grafana Enterprise, refer to the instructions for installing Grafana on your system. Then, refer to [Activate an Enterprise license]({{< relref "../enterprise/license/activate-license.md" >}}).
